Bug 1413618 - Missing elliptic curves for ECC keygen in gnupg2
Summary: Missing elliptic curves for ECC keygen in gnupg2
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libgcrypt (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2017-01-16 14:31 UTC by Stephen So
Modified: 2018-09-22 09:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 10:55:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen So 2017-01-16 14:31:31 UTC
Description of problem:

When generating ECC keys in gpg using expert mode, only three elliptic curves are available. All the curves are NIST ones, which many believe are suspect.  Other curves are available in gnupg2 such as brainpool, Curve 25519, etc. but these are not available in the Fedora version of gnupg2

Version-Release number of selected component (if applicable):

gnupg2-2.1.13-2.fc25.x86_64

How reproducible:

Always

Steps to Reproduce:
1.  Generate a key using gpg2 in expert mode:  gpg2 --expert --full-gen-key
2.  Select ECC and ECC for the type of key
3.  See list of elliptic curves available.

Actual results:

Please select which elliptic curve you want:
   (3) NIST P-256
   (4) NIST P-384
   (5) NIST P-521

Expected results:

Please select which elliptic curve you want:
   (1) Curve 25519
   (2) NIST P-256
   (3) NIST P-384
   (4) NIST P-521
   (5) Brainpool P-256
   (6) Brainpool P-384
   (7) Brainpool P-512

Additional info:

The information and examples were given on the gnupg site  https://www.gnupg.org/faq/whats-new-in-2.1.html#ecc

Comment 1 Tomas Mraz 2017-01-16 14:58:17 UTC
Every curve supported has to be explicitly acked by Fedora legal. I suggest you to contact Fedora legal for details.

Comment 2 Tom "spot" Callaway 2017-01-16 15:36:57 UTC
There isn't anything we can do about the Brainpool curves right now, but 25519 should be fine to enable in libgcrypt in all targets (it's on in rawhide right now). I think once that happens, you should be able to rebuild gnupg2 to see that additional curve option.

Comment 3 Tomas Mraz 2017-08-17 07:06:40 UTC
Curve25519 is now enabled.

Comment 4 Fedora End Of Life 2017-11-16 19:51:25 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:55:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Peter Lemenkov 2017-12-12 12:08:37 UTC
(In reply to Tomas Mraz from comment #3)
> Curve25519 is now enabled.

I guess we should reopen this ticket because Brainpool is still missing.

Comment 7 Timothée Ravier 2018-09-22 09:21:54 UTC
Is there any update on this topic?


Note You need to log in before you can comment on or make changes to this bug.